Debian Bug report logs - #468010
libtest-inline-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libtest-inline-perl; Maintainer for libtest-inline-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libtest-inline-perl is src:libtest-inline-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:30:40 UTC

Severity: important

Tags: patch

Found in version libtest-inline-perl/2.201-1

Fixed in version libtest-inline-perl/2.201-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#468010; Package libtest-inline-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libtest-inline-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:25 +0200
Package: libtest-inline-perl
Version: 2.201-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#468010; Package libtest-inline-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. Full text and rfc822 format available.

Message #10 received at 468010@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468010@bugs.debian.org
Subject: libtest-inline-perl: diff for NMU version 2.201-1.1
Date: Sat, 5 Apr 2008 17:06:25 +0100
[Message part 1 (text/plain, inline)]
tags 468010 + patch
thanks

Hi,

Attached is the diff for my libtest-inline-perl 2.201-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libtest-inline-perl-2.201-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 16:09:05 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 468010-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468010-close@bugs.debian.org
Subject: Bug#468010: fixed in libtest-inline-perl 2.201-1.1
Date: Sat, 05 Apr 2008 16:17:07 +0000
Source: libtest-inline-perl
Source-Version: 2.201-1.1

We believe that the bug you reported is fixed in the latest version of
libtest-inline-perl, which is due to be installed in the Debian FTP archive:

libtest-inline-perl_2.201-1.1.diff.gz
  to pool/main/libt/libtest-inline-perl/libtest-inline-perl_2.201-1.1.diff.gz
libtest-inline-perl_2.201-1.1.dsc
  to pool/main/libt/libtest-inline-perl/libtest-inline-perl_2.201-1.1.dsc
libtest-inline-perl_2.201-1.1_all.deb
  to pool/main/libt/libtest-inline-perl/libtest-inline-perl_2.201-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468010@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libtest-inline-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 17:04:03 +0100
Source: libtest-inline-perl
Binary: libtest-inline-perl
Architecture: source all
Version: 2.201-1.1
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libtest-inline-perl - Perl extension for embed tests and code examples in POD
Closes: 468010
Changes: 
 libtest-inline-perl (2.201-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #468010
Files: 
 df8ab8be3084fb717a516548d939a72a 888 perl optional libtest-inline-perl_2.201-1.1.dsc
 278b9593540e065b57bea12f8667a1ce 2021 perl optional libtest-inline-perl_2.201-1.1.diff.gz
 37a982a90199ac2c4cd67d24171213fb 58530 perl optional libtest-inline-perl_2.201-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH96NWNIW6CNDsByMRAk4+AJ9+/c8B5Zrq0El7ucwK453vbEq3bQCfT1Hu
utJX6mZYIDEyq67IsLrHzdc=
=UERL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:33:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:17:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.